aboutsummaryrefslogtreecommitdiff
path: root/scripts/tmus
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/tmus')
-rwxr-xr-xscripts/tmus30
1 files changed, 30 insertions, 0 deletions
diff --git a/scripts/tmus b/scripts/tmus
new file mode 100755
index 0000000..9bb9d5b
--- /dev/null
+++ b/scripts/tmus
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+if [ $# -eq 1 ]; then
+ selected="$1"
+ [ -d "$1" ] || mkdir -p "$1"
+else
+ selected=$(find ~/projects/ ~/school/ ~/source/ ~/testing/ ~/git/ ~/QEMU/ ~/.config/ -mindepth 1 -maxdepth 1 -type d | fzf)
+fi
+
+if [ -z "$selected" ]; then
+ exit 0
+fi
+
+selected_name=$(basename "$selected" | tr . _)
+tmux_running=$(pgrep tmux)
+
+if [ -z "$TMUX" ] && [ -z "$tmux_running" ]; then
+ tmux new-session -s "$selected_name" -c "$selected"
+ exit 0
+fi
+
+if ! tmux has-session -t="$selected_name" 2> /dev/null; then
+ tmux new-session -ds "$selected_name" -c "$selected"
+fi
+
+if tmux list-sessions | grep -qs attached; then
+ tmux switch-client -t "$selected_name"
+else
+ tmux attach-session -t "$selected_name"
+fi